<?php
$prefix = 'r_';

$meta_box = array(
	'id' => 'my-meta-box',
	'title' => 'Homepage settings',
	'page' => 'page',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		
		array(
			'name' => 'Homepage Slider - Position <br />(only for one slider!)',
			'id' => $prefix . 'home_slider_position',
			'type' => 'select',
			'std' => '',
			"options" => array('Full width', 'Standard'),
			'desc' => 'Select Slider Position for Homepage (only for one slider!)'
		),		
		
		array(
			'name' => 'Homepage content layout',
			'id' => $prefix . 'home_content_layout',
			'type' => 'select',
			'std' => '',
			"options" => array('With sidebars', 'Full width'),
			'desc' => 'Select content layout for Homepage'
		),	
		
		array(
			'name' => 'Small sidebar on Homepage',
			'id' => $prefix . 'home_with_small_sidebar',
			'type' => 'checkbox',
			'std' => 'false',
			'desc' => 'Enable this option to show Small sidebar on Homepage'
		),
		
		array(
			'name' => 'Small sidebar - Position',
			'id' => $prefix . 'home_small_sidebar_position',
			'type' => 'select',
			'std' => '',
			"options" => array('Right', 'Left'),
			'desc' => 'Select Small sidebar Position for Homepage'
		),
		
	)
);



function my_editor_style() {

    global $current_screen;

    switch ($current_screen->post_type) {

    case 'post':

        //echo '<script>alert("post");</script>';

        break;

    case 'page':


        break;

    case 'acf': // CPT

        //echo '<script>alert("post");</script>';

        break;

    }

}

add_action( 'admin_head', 'my_editor_style' );



add_action('admin_menu', 'mytheme_add_box');

// Add meta box
function mytheme_add_box() {
	global $meta_box;
	
	add_meta_box($meta_box['id'], $meta_box['title'], 'mytheme_show_box', $meta_box['page'], $meta_box['context'], $meta_box['priority']);
}

// Callback function to show fields in meta box
function mytheme_show_box() {
	global $meta_box, $post;
	
	// Use nonce for verification
	echo '<input type="hidden" name="mytheme_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
	
	echo '<table class="form-table">';

	foreach ($meta_box['fields'] as $field) {
		// get current post meta data
		$meta = get_post_meta($post->ID, $field['id'], true);
		
		echo '<tr>',
				'<th style="width:35%"><label for="', $field['id'], '">', $field['name'], '</label></th>',
				'<td>';
		switch ($field['type']) {
			case 'text':
				echo '<input class="input_style" type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:100%" />',
					'<br />', $field['desc'];
				break;
			case 'textarea':
				echo '<textarea class="input_style" name="', $field['id'], '" id="', $field['id'], '" cols="60" rows="4" style="width:100%">', $meta ? $meta : $field['std'], '</textarea>',
					'<br />', $field['desc'];
				break;
			case 'select':
				echo '<select name="', $field['id'], '" id="', $field['id'], '">';
				foreach ($field['options'] as $option) {
					echo '<option', $meta == $option ? ' selected="selected"' : '', '>', $option, '</option>';
				}
				echo '</select>';
				break;
			case 'radio':
				foreach ($field['options'] as $option) {
					echo '<input type="radio" name="', $field['id'], '" value="', $option['value'], '"', $meta == $option['value'] ? ' checked="checked"' : '', ' />', $option['name'];
				}
				break;
			case 'checkbox':
				echo '<div class="on_off"><input type="checkbox" name="', $field['id'], '" id="', $field['id'], '"', $meta ? ' checked="checked"' : '', ' /></div>';
				break;
		}
		echo 	'<td>',
			'</tr>';
	}
	
	echo '</table>';
}

add_action('save_post', 'mytheme_save_data');

// Save data from meta box
function mytheme_save_data($post_id) {
	global $meta_box;
	
	// verify nonce

	if ( !isset($_POST['mytheme_meta_box_nonce']) || !wp_verify_nonce( $_POST['mytheme_meta_box_nonce'], basename(__FILE__) )) {
		return $post_id;
	}

	// check autosave
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}

	// check permissions
	if ('page' == $_POST['post_type']) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	}
	
	foreach ($meta_box['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
		
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
}

?>